## golang-opentelemetry-otel 1.1.0

=== example/otel-collector/Makefile ===
namespace-k8s:
	kubectl apply -f k8s/namespace.yaml

jaeger-operator-k8s:
	# Create the jaeger operator and necessary artifacts in ns observability
	kubectl create -n observability -f https://raw.githubusercontent.com/jaegertracing/jaeger-operator/master/deploy/crds/jaegertracing.io_jaegers_crd.yaml
	kubectl create -n observability -f https://raw.githubusercontent.com/jaegertracing/jaeger-operator/master/deploy/service_account.yaml
	kubectl create -n observability -f https://raw.githubusercontent.com/jaegertracing/jaeger-operator/master/deploy/role.yaml
	kubectl create -n observability -f https://raw.githubusercontent.com/jaegertracing/jaeger-operator/master/deploy/role_binding.yaml
	kubectl create -n observability -f https://raw.githubusercontent.com/jaegertracing/jaeger-operator/master/deploy/operator.yaml

	# Create the cluster role & bindings
	kubectl create -f https://raw.githubusercontent.com/jaegertracing/jaeger-operator/master/deploy/cluster_role.yaml
	kubectl create -f https://raw.githubusercontent.com/jaegertracing/jaeger-operator/master/deploy/cluster_role_binding.yaml

jaeger-k8s:
	kubectl apply -f k8s/jaeger.yaml

prometheus-k8s:
	kubectl apply -f k8s/prometheus-service.yaml   # Prometheus instance
	kubectl apply -f k8s/prometheus-monitor.yaml   # Service monitor

otel-collector-k8s:
	kubectl apply -f k8s/otel-collector.yaml

clean-k8s:
	- kubectl delete -f k8s/otel-collector.yaml

	- kubectl delete -f k8s/prometheus-monitor.yaml
	- kubectl delete -f k8s/prometheus-service.yaml

	- kubectl delete -f k8s/jaeger.yaml

	- kubectl delete -f https://raw.githubusercontent.com/jaegertracing/jaeger-operator/master/deploy/cluster_role.yaml
	- kubectl delete -f https://raw.githubusercontent.com/jaegertracing/jaeger-operator/master/deploy/cluster_role_binding.yaml

	- kubectl delete -n observability -f https://raw.githubusercontent.com/jaegertracing/jaeger-operator/master/deploy/crds/jaegertracing.io_jaegers_crd.yaml
	- kubectl delete -n observability -f https://raw.githubusercontent.com/jaegertracing/jaeger-operator/master/deploy/service_account.yaml
	- kubectl delete -n observability -f https://raw.githubusercontent.com/jaegertracing/jaeger-operator/master/deploy/role.yaml
	- kubectl delete -n observability -f https://raw.githubusercontent.com/jaegertracing/jaeger-operator/master/deploy/role_binding.yaml
	- kubectl delete -n observability -f https://raw.githubusercontent.com/jaegertracing/jaeger-operator/master/deploy/operator.yaml

=== debian/changelog ===
golang-opentelemetry-otel (1.1.0-2) unstable; urgency=medium

  * Fix file exclusion pattern

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 12 Nov 2021 23:58:49 +0800

golang-opentelemetry-otel (1.1.0-1) unstable; urgency=medium

  * Initial release (Closes: #999478)

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 12 Nov 2021 01:44:54 +0800

=== debian/control ===
Source: golang-opentelemetry-otel
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Shengjing Zhu <zhsj@debian.org>,
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-benbjohnson-clock-dev,
               golang-github-google-go-cmp-dev,
               golang-github-masterminds-semver-dev (>= 3.1.1~),
               golang-github-stretchr-testify-dev,
               golang-golang-x-sys-dev,
               golang-gopkg-yaml.v2-dev,
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-opentelemetry-otel
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-opentelemetry-otel.git
Homepage: https://github.com/open-telemetry/opentelemetry-go
Rules-Requires-Root: no
XS-Go-Import-Path: go.opentelemetry.io/otel

Package: golang-opentelemetry-otel-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-masterminds-semver-dev (>= 3.1.1~),
         golang-golang-x-sys-dev,
         golang-gopkg-yaml.v2-dev,
         ${misc:Depends},
Description: OpenTelemetry Go API and SDK
 OpenTelemetry-Go is the Go implementation of OpenTelemetry. It provides a set
 of APIs to directly measure performance and behavior of your software and send
 this data to observability platforms.

=== debian/rules ===
#!/usr/bin/make -f

# remove some packages which are not needed by other packages currently
# to cut down dependencies.
export DH_GOLANG_EXCLUDES := \
	example/ \
	internal/tools \
	bridge/opencensus \
	bridge/opentracing \
	exporters/jaeger/internal/gen-go/agent/agent-remote \
	exporters/jaeger/internal/gen-go/jaeger/collector-remote \
	exporters/jaeger/internal/gen-go/zipkincore/zipkin_collector-remote \
	exporters/otlp exporters/prometheus exporters/zipkin

export DH_GOLANG_INSTALL_EXTRA := \
	exporters/jaeger/internal/third_party/thrift/NOTICE

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

## golang-opentelemetry-otel 1.16.0

=== debian/changelog ===
golang-opentelemetry-otel (1.16.0-1) unstable; urgency=medium

  * New upstream release 1.16.0
  * Update Standards-Version to 4.6.2 (no changes)
  * Install extra templates files for go:embed
  * Refresh Depends and Build-Depends
    + Add golang-github-go-logr-logr-dev
    + Add golang-github-go-logr-stdr-dev
    + Drop golang-github-benbjohnson-clock-dev

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 15 Jun 2023 15:56:07 +0800

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,14 @@
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
-               golang-github-benbjohnson-clock-dev,
+               golang-github-go-logr-logr-dev,
+               golang-github-go-logr-stdr-dev,
                golang-github-google-go-cmp-dev,
                golang-github-masterminds-semver-dev (>= 3.1.1~),
                golang-github-stretchr-testify-dev,
                golang-golang-x-sys-dev,
                golang-gopkg-yaml.v2-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-opentelemetry-otel
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-opentelemetry-otel.git
 Homepage: https://github.com/open-telemetry/opentelemetry-go
@@ -23,7 +24,9 @@
 Package: golang-opentelemetry-otel-dev
 Architecture: all
 Multi-Arch: foreign
-Depends: golang-github-masterminds-semver-dev (>= 3.1.1~),
+Depends: golang-github-go-logr-logr-dev,
+         golang-github-go-logr-stdr-dev,
+         golang-github-masterminds-semver-dev (>= 3.1.1~),
          golang-golang-x-sys-dev,
          golang-gopkg-yaml.v2-dev,
          ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,8 @@
 	exporters/otlp exporters/prometheus exporters/zipkin
 
 export DH_GOLANG_INSTALL_EXTRA := \
+	$(wildcard internal/tools/semconvkit/templates/*.tmpl) \
+	$(wildcard internal/tools/semconvkit/templates/*/*.tmpl) \
 	exporters/jaeger/internal/third_party/thrift/NOTICE
 
 %:

## golang-opentelemetry-otel 1.21.0

=== debian/changelog ===
golang-opentelemetry-otel (1.21.0-4) unstable; urgency=medium

  * Revert "Skip tiemed out TestStartErrorInvalidAddress"
  * Unset http proxy environment to fix tests hanging

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 27 Aug 2024 16:08:50 +0800

golang-opentelemetry-otel (1.21.0-3) unstable; urgency=medium

  * Bump golang-google-grpc-dev to 1.34.0
  * Skip tiemed out TestStartErrorInvalidAddress

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 15 Aug 2024 19:24:47 +0800

golang-opentelemetry-otel (1.21.0-2) unstable; urgency=medium

  * Team upload
  * Upload changes from experimental to unstable
  * Update Standards-Version to 4.7.0 in d/control (no changes needed)

 -- Mathias Gibbens <gibmat@debian.org>  Thu, 25 Jul 2024 09:18:25 +0000

golang-opentelemetry-otel (1.21.0-1) experimental; urgency=medium

  * Team upload
  * New upstream release

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 30 Jun 2024 16:16:41 -0400

golang-opentelemetry-otel (1.19.0-0) experimental; urgency=medium

  * Team upload.
  * New upstream release

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 14 Jun 2024 20:07:32 -0400

golang-opentelemetry-otel (1.16.0-2) experimental; urgency=medium

  * Team Upload.
  * Enable the otlp exporter

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 05 Jun 2024 21:57:18 -0400

=== debian/control ===
Source: golang-opentelemetry-otel
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Shengjing Zhu <zhsj@debian.org>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-cenkalti-backoff-dev,
               golang-github-go-logr-logr-dev,
               golang-github-go-logr-stdr-dev,
               golang-github-google-go-cmp-dev,
               golang-github-masterminds-semver-dev (>= 3.1.1~),
               golang-github-prometheus-client-golang-dev,
               golang-github-stretchr-testify-dev,
               golang-golang-x-sys-dev,
               golang-google-grpc-dev (>= 1.34.0~),
               golang-gopkg-yaml.v2-dev,
               golang-opentelemetry-proto-dev,
               golang-uber-goleak-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-opentelemetry-otel
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-opentelemetry-otel.git
Homepage: https://github.com/open-telemetry/opentelemetry-go
Rules-Requires-Root: no
XS-Go-Import-Path: go.opentelemetry.io/otel

Package: golang-opentelemetry-otel-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-cenkalti-backoff-dev,
         golang-github-go-logr-logr-dev,
         golang-github-go-logr-stdr-dev,
         golang-github-masterminds-semver-dev (>= 3.1.1~),
         golang-github-prometheus-client-golang-dev,
         golang-golang-x-sys-dev,
         golang-google-grpc-dev (>= 1.34.0~),
         golang-gopkg-yaml.v2-dev,
         golang-opentelemetry-proto-dev,
         ${misc:Depends}
Description: OpenTelemetry Go API and SDK
 OpenTelemetry-Go is the Go implementation of OpenTelemetry. It provides a set
 of APIs to directly measure performance and behavior of your software and send
 this data to observability platforms.

## golang-opentelemetry-otel 1.31.0

=== debian/changelog ===
golang-opentelemetry-otel (1.31.0-5) unstable; urgency=medium

  * Team upload
  * Add new 0002-Use-legacy-name-validation.patch to fix building with
    golang-github-prometheus-common >= 0.62.0

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 18 Aug 2025 11:24:52 +0000

golang-opentelemetry-otel (1.31.0-4) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.7.2
  * Bump debian/* copyright years.
  * Skip TestTraceProviderDelegatesSameInstance to fix FTBFS.  Closes: #1100347.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 20 Mar 2025 10:38:38 +0100

golang-opentelemetry-otel (1.31.0-3) unstable; urgency=medium

  * Team upload.
  * Add Breaks: golang-github-prometheus-prometheus-dev (<< 2.45.6+ds-6)
    to aid testing migration

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 01 Nov 2024 05:30:08 -0400

golang-opentelemetry-otel (1.31.0-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 31 Oct 2024 06:16:41 -0400

golang-opentelemetry-otel (1.31.0-1) experimental; urgency=medium

  * Team upload
  * New upstream version: 1.31.0

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 20 Oct 2024 11:21:32 -0400

=== debian/control ===
--- 
+++ 
@@ -13,13 +13,14 @@
                golang-github-google-go-cmp-dev,
                golang-github-masterminds-semver-dev (>= 3.1.1~),
                golang-github-prometheus-client-golang-dev,
+               golang-github-prometheus-common-dev (>= 0.62.0),
                golang-github-stretchr-testify-dev,
                golang-golang-x-sys-dev,
                golang-google-grpc-dev (>= 1.34.0~),
                golang-gopkg-yaml.v2-dev,
-               golang-opentelemetry-proto-dev,
+               golang-opentelemetry-proto-dev (>= 1.3),
                golang-uber-goleak-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-opentelemetry-otel
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-opentelemetry-otel.git
 Homepage: https://github.com/open-telemetry/opentelemetry-go
@@ -29,15 +30,17 @@
 Package: golang-opentelemetry-otel-dev
 Architecture: all
 Multi-Arch: foreign
+Breaks: golang-github-prometheus-prometheus-dev (<< 2.45.6+ds-6)
 Depends: golang-github-cenkalti-backoff-dev,
          golang-github-go-logr-logr-dev,
          golang-github-go-logr-stdr-dev,
          golang-github-masterminds-semver-dev (>= 3.1.1~),
          golang-github-prometheus-client-golang-dev,
+         golang-github-prometheus-common-dev (>= 0.62.0),
          golang-golang-x-sys-dev,
          golang-google-grpc-dev (>= 1.34.0~),
          golang-gopkg-yaml.v2-dev,
-         golang-opentelemetry-proto-dev,
+         golang-opentelemetry-proto-dev (>= 1.3),
          ${misc:Depends}
 Description: OpenTelemetry Go API and SDK
  OpenTelemetry-Go is the Go implementation of OpenTelemetry. It provides a set

=== debian/rules ===
--- 
+++ 
@@ -10,12 +10,21 @@
 	exporters/jaeger/internal/gen-go/agent/agent-remote \
 	exporters/jaeger/internal/gen-go/jaeger/collector-remote \
 	exporters/jaeger/internal/gen-go/zipkincore/zipkin_collector-remote \
-	exporters/otlp exporters/prometheus exporters/zipkin
+	exporters/zipkin
 
 export DH_GOLANG_INSTALL_EXTRA := \
 	$(wildcard internal/tools/semconvkit/templates/*.tmpl) \
 	$(wildcard internal/tools/semconvkit/templates/*/*.tmpl) \
 	exporters/jaeger/internal/third_party/thrift/NOTICE
 
+# autopkgtest.ubuntu.com exports these variable and causes the tests hanging
+unexport https_proxy
+unexport http_proxy
+
 %:
 	dh $@ --builddirectory=_build --buildsystem=golang --with=golang
+
+# https://github.com/open-telemetry/opentelemetry-go/issues/6476
+override_dh_auto_test:
+	dh_auto_test $(DH_BUILD_OPTS) -- \
+		-skip=TestTraceProviderDelegatesSameInstance

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/open-telemetry/opentelemetry-go/tags .*/v?(\d\S*)\.tar\.gz debian
